# vim-config-latex

A basic configuration file to work with Vim and LaTeX

# Installing Vim-Plug

```
curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
```

# Configuration 

```
" ------------------
"         __                     
" .--.--.|__|.--------.----.----.
" |  |  ||  ||        |   _|  __|
"  \___/ |__||__|__|__|__| |____|
" ------------------
 "
" Basic settings 
" --------------
set nocompatible
filetype plugin indent on
syntax enable

set number relativenumber
set path+=**
set wildmode=longest,list,full
set encoding=UTF-8
set cursorline
set showmatch	" matching brackets
set linebreak	
set ignorecase	" case insensitive matching
set smartcase	" smart case matching
"set clipboard+=unnamedplus
set mouse=a
set tabstop=4
set shiftwidth=4
set softtabstop=4
set spelllang=en_us
set fillchars+=eob:~
set showtabline=2
set laststatus=2
" ------------------

```
